Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
alf007
Registered User
Posts: 36
Joined: Sun Mar 13, 2005 5:46 pm
Location: France (78)

Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by alf007 » Fri Jan 20, 2017 6:48 pm

Support Request Template
What version of phpBB are you using? phpBB 3.2
What is your board's URL? n/a
Who do you host your board with? ovh
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? Yes
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0.14 or 3.1.10
What MODs do you have installed? Admin Activation E-Mail Enhancement
Advanced BBCode Box 3 (aka ABBC3)
Advanced BBCodes Box3 V3.0.8 traduction Fran
Advanced Show Poll Voters
Ajax chat
Automatic DST 2
Custom Title MOD
Expand categories
Gender Rank
Genders
Latest Posts
MOD Version Check
MyCalendar3
ReIMG Image Resizer
SmiX.MODs Feed News Center
UMIL - Unified Mod Install Library
lastRSS agregator
phpBB mChat
phpBB3 Error Logging Tool
What styles do you currently have installed? mergenine: WoW Alliance BB3, WoW5thAniversary
What language(s) is your board currently using? French
Which database type/version are you using? MySQL 5
What is your level of experience? Experienced with PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Only updating core phpBB 3
Please describe your problem. I've initially failed to update directly from phpBB 3.0.14 to 3.2,
so i tried and updated successfully from 3.0.14 to 3.1.10,
but now failing with the same error, when trying to update from 3.1.10 to 3.2:

Code: Select all

General Error: in file XXX\phpbb\db\driver\driver.php on line 996
BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: installer_msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 996
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysql.php
LINE: 191
CALL: phpbb\db\driver\driver->sql_error()
 
FILE: [ROOT]/phpbb/db/driver/factory.php
LINE: 329
CALL: phpbb\db\driver\mysql->sql_query()
 
FILE: [ROOT]/phpbb/config/db_text.php
LINE: 111
CALL: phpbb\db\driver\factory->sql_query()
 
FILE: [ROOT]/phpbb/config/db_text.php
LINE: 55
CALL: phpbb\config\db_text->set_array()
 
FILE: [ROOT]/phpbb/textreparser/manager.php
LINE: 95
CALL: phpbb\config\db_text->set()
 
FILE: [ROOT]/phpbb/db/migration/data/v320/text_reparser.php
LINE: 63
CALL: phpbb\textreparser\manager->update_resume_data()
 
FILE: (not given by php)
LINE: (not given by php)
CALL: phpbb\db\migration\data\v320\text_reparser->reparse()
 
FILE: [ROOT]/phpbb/db/migrator.php
LINE: 711
CALL: call_user_func_array()
 
FILE: [ROOT]/phpbb/db/migrator.php
LINE: 658CALL: phpbb\db\migrator->run_step()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 436
CALL: phpbb\db\migrator->process_data_step()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 351
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 351
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 351
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 351
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 351
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 288
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 241
CALL: phpbb\db\migrator->update_do()

FILE: [ROOT]/phpbb/install/module/update_database/task/update.php
LINE: 160
CALL: phpbb\db\migrator->update()

FILE: [ROOT]/phpbb/install/module_base.php
LINE: 149
CALL: phpbb\install\module\update_database\task\update->run()

FILE: [ROOT]/phpbb/install/installer.php
LINE: 219
CALL: phpbb\install\module_base->run()

FILE: [ROOT]/phpbb/install/controller/update.php
LINE: 133
CALL: phpbb\install\installer->run()

FILE: (not given by php)
LINE: (not given by php)
CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()

FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.php
LINE: 113
CALL: call_user_func()

FILE: [ROOT]/vendor/symfony/http-foundation/Response.php
LINE: 374
CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()

FILE: [ROOT]/install/app.php
LINE: 57
CALL: Symfony\Component\HttpFoundation\Response->send()
Mettre à jour la base de données…

Installation des données : \phpbb\db\migration\data\v320\text_reparser.
Schéma installé : \phpbb\db\migration\data\v320\text_reparser ; durée : 0.00 secondes
Installation du schéma : \phpbb\db\migration\data\v320\text_reparser.
...
Generated by SRT Generator

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21724
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by Mick » Fri Jan 20, 2017 7:02 pm

Have you read How do I convert my phpBB 3.0.x or 3.1.x board to phpBB 3.2.x? from the Read Me Before Posting topic at the top of this forum?
"The more connected we get the more alone we become" - Kyle Broflovski

alf007
Registered User
Posts: 36
Joined: Sun Mar 13, 2005 5:46 pm
Location: France (78)

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by alf007 » Sat Jan 21, 2017 2:39 am

Of course,
and update from 3.0.14 to 3.1.10 was successfull!

The problem happens with database update to 3.2.

Gambac
Registered User
Posts: 4
Joined: Fri Jan 03, 2014 11:11 am

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by Gambac » Wed Jan 25, 2017 12:00 pm

I have the same problem.
Upgrade from 3.1.10 to 3.2.0.

In ACP is now version 3.2.0-dev

User avatar
jumborex
Registered User
Posts: 143
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by jumborex » Wed Feb 15, 2017 10:53 am

Me too!
I posted a request myself, but no respnse form the developer up to now!
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

User avatar
janus_zonstraal
Registered User
Posts: 3796
Joined: Sat Aug 30, 2014 1:30 pm

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by janus_zonstraal » Wed Feb 15, 2017 11:09 am

jumborex wrote:
Wed Feb 15, 2017 10:53 am
Me too!
I posted a request myself, but no respnse form the developer up to now!
Your topic is mark as Solved??
Sorry! My English is bat ;) !!!

User avatar
jumborex
Registered User
Posts: 143
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by jumborex » Wed Feb 15, 2017 12:01 pm

janus_zonstraal wrote:
Wed Feb 15, 2017 11:09 am
jumborex wrote:
Wed Feb 15, 2017 10:53 am
Me too!
I posted a request myself, but no respnse form the developer up to now!
Your topic is mark as Solved??
No! But today I made another trial, and it worked. I fear the trouble is in the installer mainly!
I simply made a clean of cache, plus I made prosilver as default.

See: viewtopic.php?f=556&t=2409516#p14657296
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Gambac
Registered User
Posts: 4
Joined: Fri Jan 03, 2014 11:11 am

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by Gambac » Wed Mar 08, 2017 10:49 am

Gambac wrote:
Wed Jan 25, 2017 12:00 pm
I have the same problem.
Upgrade from 3.1.10 to 3.2.0.

In ACP is now version 3.2.0-dev
My solution:
in config.php
change from
$dbms = 'mysql';
to
$dbms = 'mysqli';

MichaelAV
Registered User
Posts: 1
Joined: Mon Oct 02, 2017 11:18 pm

Re: Failing to update (database only) to 3.2 (from 3.0.14 or 3.1.10)

Post by MichaelAV » Mon Oct 02, 2017 11:20 pm

Gambac wrote:
Wed Mar 08, 2017 10:49 am
My solution:
in config.php
change from
$dbms = 'mysql';
to
$dbms = 'mysqli';
Had the same problem. This fixed it for me. Thanks!

Post Reply

Return to “[3.2.x] Support Forum”